Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 09-05-2019, 03:28 AM   #1
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
Building Sigil on Haiku

Hi everyone.
Need building manual Sigil on Haiku.
Or your help.

P.S. Лучше на русском.
User_Z is offline   Reply With Quote
Old 09-05-2019, 06:35 AM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
If Haiku supports Qt5.9.x or higher, you should use the Linux build documentation and adjust accordingly. That's all assuming it's even possible if course. I've absolutely no experience with the OS in question, and the internet isn't very forthcoming about what's available in the way of packages for Haiku. All I know is that if you're running a 32-bit version that still uses a fork of gcc2, then you're very likely out of luck.
DiapDealer is offline   Reply With Quote
Advert
Old 09-27-2019, 08:42 AM   #3
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
Hello.

Unfortunately, QtWebEngine does not currently work on the Haiku system. Therefore, I leave the idea of building Sigil in this operating system until better times.

There is no particular desire to mess with version 0.9.14. And the assembly according to the instructions for Linux, which is called "on the fly", did not bring results.
Who cares about the log files with errors:
Attached Files
File Type: txt cmake-log.txt (12.2 KB, 12 views)
File Type: txt make_log.txt (68.6 KB, 12 views)
User_Z is offline   Reply With Quote
Old 09-27-2019, 08:55 AM   #4
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 3,696
Karma: 2219304
Join Date: Nov 2009
Device: many
Your libc seems to be missing the 64bit file functions.

The entire remainder of the log was just known warnings that do not matter.

Kevin

boot/system/develop/tools/bin/../lib/gcc/x86_64-unknown-haiku/8.3.0/../../../../x86_64-unknown-haiku/bin/ld: ../lib/libminizip.a(ioapi.c.o): in function `fseek64_file_func':
ioapi.c:(.text+0x11e): undefined reference to `fseeko64'
/boot/system/develop/tools/bin/../lib/gcc/x86_64-unknown-haiku/8.3.0/../../../../x86_64-unknown-haiku/bin/ld: ../lib/libminizip.a(ioapi.c.o): in function `ftell64_file_func':
ioapi.c:(.text+0x14a): undefined reference to `ftello64'
/boot/system/develop/tools/bin/../lib/gcc/x86_64-unknown-haiku/8.3.0/../../../../x86_64-unknown-haiku/bin/ld: ../lib/libminizip.a(ioapi.c.o): in function `fopen64_file_func':
ioapi.c:(.text+0x185): undefined reference to `fopen64'
collect2: error: ld returned 1 exit status
make[2]: *** [bin/sigil] Error 1
make[1]: *** [src/CMakeFiles/sigil.dir/all] Error 2

Quote:
Originally Posted by User_Z View Post
Hello.

Unfortunately, QtWebEngine does not currently work on the Haiku system. Therefore, I leave the idea of building Sigil in this operating system until better times.

There is no particular desire to mess with version 0.9.14. And the assembly according to the instructions for Linux, which is called "on the fly", did not bring results.
Who cares about the log files with errors:

Last edited by theducks; 09-27-2019 at 09:35 AM. Reason: disabled emoticons
KevinH is offline   Reply With Quote
Old 09-27-2019, 09:27 AM   #5
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
I have installed Haiku x86_64 hrev53511. Everything there is 64-bit, there is no other.
I think this is a minizip error.
User_Z is offline   Reply With Quote
Advert
Old 09-27-2019, 10:01 AM   #6
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
You could try building with whatever 64-bit version of minizip that Haiku provides (and other 3rd-party libs included with Sigil). The CMAKE directives are explained in the Sigil build documentation:

Quote:
-DUSE_SYSTEM_LIBS=(0|1) Tells cmake to try and use the system libraries when building Sigil instead of the ones bundled with Sigil in the 3rdParty directory. If a system version of a 3rd-party can't be found, Sigil falls back on the bundled version -- unless -DSYSTEM_LIBS_REQUIRED=1 is also specified (default is 0).

-DSYSTEM_LIBS_REQUIRED=(0|1) When used in conjunction with -DUSE_SYSTEM_LIBS=1, the Sigil build process will fail if all the necessary libraries can't be located on the system, instead of falling back on the bundled versions (default is 0).
Of course, it would be up to you to makes sure those 3rd-party libraries are available.

Or alternatively; if it is the system version of minizip that is failing, consider using the versions bundled with Sigil.

EDIT: from your provided cmake log, it looks like you're using mostly system libraries for Sigil's third-party dependencies--with the exception of zlib. You're using the version that comes with Sigil for that. Try installing the 64-bit zlib and zlib_devel packages that Haiku provides and adding -DSYSTEM_LIBS_REQUIRED=1 to the Sigil cmake configuration command so that the build fails if the system versions of all the third-party libraries can't be found.

I don't think I'd recommend using our bundled version of zlib with Haiku's system version of minizip (which is what is happening by the looks of your log).

Last edited by DiapDealer; 09-27-2019 at 10:16 AM.
DiapDealer is offline   Reply With Quote
Old 09-27-2019, 11:53 AM   #7
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
DiapDealer

Are you planning to upgrade the libraries included in the 3rdparty?
They’re very, very old.

I understand that this will take a lot of time and require some changes. But still?
For example, Hunspell can only be updated to version 1.3.4. All of the above, without changing the code, no longer works. Or I'm wrong?
User_Z is offline   Reply With Quote
Old 09-27-2019, 12:10 PM   #8
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by User_Z View Post
DiapDealer

Are you planning to upgrade the libraries included in the 3rdparty?
They’re very, very old.

I understand that this will take a lot of time and require some changes. But still?
For example, Hunspell can only be updated to version 1.3.4. All of the above, without changing the code, no longer works. Or I'm wrong?
Any version of hunspell 1.x.x should be able to work (unless they've broken the cardinal rule of no api-changes in minor version updates). Arch Linux, for instance builds Sigil with their system hunspell (which is at v1.7.0) without needing to patch Sigil's code.

But no, we've no plans to update the bundled libraries right now. Other things are taking priority. Especially with Linux's ability to already use their own updated system versions of the 3rd-party libraries.
DiapDealer is offline   Reply With Quote
Old 09-27-2019, 02:08 PM   #9
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 3,696
Karma: 2219304
Join Date: Nov 2009
Device: many
My guess is just adding support for Haiku on line 17 of minizip/ioapi.c to make it do what Apple does here would be enough:

https://github.com/Sigil-Ebook/Sigil...inizip/ioapi.c
KevinH is offline   Reply With Quote
Old 09-27-2019, 02:41 PM   #10
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
It's possible. If so, I'd guess there's a few places where if_defined(HAIKU) would need to be introduced for a successful build.

I messed around with BeOS a long time ago (which is apparently what Haiku is based/modeled after), but not enough to know the ins and outs.

Last edited by DiapDealer; 09-27-2019 at 02:52 PM.
DiapDealer is offline   Reply With Quote
Old 09-27-2019, 03:10 PM   #11
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
Switched libraries to system, except pcre.
In" 3rdparty " updated pcre to version 8.43
Code:
-- Trying to use System Libraries...
-- Found ZLIB: /boot/system/develop/lib/libz.so (found version "1.2.11") 
-- Found PkgConfig: /bin/pkg-config (found version "0.29.2") 
-- Found MiniZip: /boot/system/develop/lib/libminizip.so
-- Checking for module 'hunspell'
--   Found hunspell, version 1.7.0
-- Checking for module 'libpcre16'
--   No package 'libpcre16' found
-- Found PythonInterp: /bin/python3.7 (found suitable version "3.7.3", minimum required is "3.7") 
-- Found PythonLibs: /boot/system/develop/lib/libpython3.7m.so (found suitable version "3.7.3", minimum required is "3.7") 
-- Using System ZLIB
-- Using System MiniZip
-- Using System Hunspell
-- Using Bundled PCRE
After that, the make command completed successfully. True, multiple warnings remained.

However, when starting sigil, there are multiple errors.
In short, a great field for activity.
Attached Thumbnails
Click image for larger version

Name:	screenshot1.png
Views:	26
Size:	9.1 KB
ID:	173748   Click image for larger version

Name:	screenshot2.png
Views:	22
Size:	10.1 KB
ID:	173749  
User_Z is offline   Reply With Quote
Old 09-27-2019, 03:19 PM   #12
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
I ask for your clarification:

There are such terms in the cmake logfile
Code:
-- Looking for windows.h
-- Looking for windows.h - not found
-- Looking for C++ include type_traits.h
-- Looking for C++ include type_traits.h - not found
-- Looking for C++ include bits/type_traits.h
-- Looking for C++ include bits/type_traits.h - not found
-- Looking for strtoq
-- Looking for strtoq - not found
-- Looking for _strtoi64
-- Looking for _strtoi64 - not found
-- Looking for stddef.h
-- Looking for stddef.h - found
On my computer, the file type_traits.h is located
/boot/system/develop/tools/lib/gcc/x86_64-unknown-haiku/8.3.0/include/c++/ext

Tell me where and how to register the paths to this and other files? Thanks!
User_Z is offline   Reply With Quote
Old 09-27-2019, 03:52 PM   #13
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by User_Z View Post
However, when starting sigil, there are multiple errors.
Do you have the required python modules (lxml and six) installed for Python 3.7.3?
DiapDealer is offline   Reply With Quote
Old 09-27-2019, 04:02 PM   #14
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,047
Karma: 115443362
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by User_Z View Post
I ask for your clarification:

There are such terms in the cmake logfile
Code:
-- Looking for windows.h
-- Looking for windows.h - not found
-- Looking for C++ include type_traits.h
-- Looking for C++ include type_traits.h - not found
-- Looking for C++ include bits/type_traits.h
-- Looking for C++ include bits/type_traits.h - not found
-- Looking for strtoq
-- Looking for strtoq - not found
-- Looking for _strtoi64
-- Looking for _strtoi64 - not found
-- Looking for stddef.h
-- Looking for stddef.h - found
On my computer, the file type_traits.h is located
/boot/system/develop/tools/lib/gcc/x86_64-unknown-haiku/8.3.0/include/c++/ext

Tell me where and how to register the paths to this and other files? Thanks!
Our cmake file would likely have to be adjusted quite a bit to fully accommodate Haiku. You can't really add additional include directories on the command line with cmake. But, I wouldn't really worry about any of the cmake output unless it's actually an error. Don't make the mistake of chasing all the include files found/not found unless the cmake configuration bombs.

I think your previous attempt was very, very close. You were probably only missing a required Python module. I've seen the exact error messages you attached before, and missing Python modules was nearly always the culprit.

Last edited by DiapDealer; 09-28-2019 at 05:25 AM.
DiapDealer is offline   Reply With Quote
Old 09-28-2019, 02:04 AM   #15
User_Z
Enthusiast
User_Z began at the beginning.
 
Posts: 33
Karma: 10
Join Date: Sep 2019
Device: none
Quote:
Originally Posted by DiapDealer View Post
Our cmake file would like have to be adjusted quite a bit to fully accommodate Haiku.
Yes, it would be very good to remove everything superfluous from it.
User_Z is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Difficulty with building sigil 0.9.0 on linux philja Sigil 36 11-25-2015 04:38 PM
sigil 0.8.1 building on linux blackest Sigil 9 10-15-2014 06:22 PM
Building Sigil from source on Linux xingenter Sigil 10 04-29-2013 01:18 PM
Problems building Sigil on Win7/64 Man Eating Duck Sigil 11 10-03-2012 02:51 PM
Building Sigil under Linux st_albert Sigil 1 08-07-2011 03:19 PM


All times are GMT -4. The time now is 12:31 AM.


MobileRead.com is a privately owned, operated and funded community.